Bug 571586 - High Load in Fedora 12
High Load in Fedora 12
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
i386 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-08 17:08 EST by Aaron Toponce
Modified: 2013-01-13 08:04 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 12:41:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aaron Toponce 2010-03-08 17:08:19 EST
Description of problem: I have Fedora 12 installed as a virtual guest in VirtualBox 3.1.4 on a Windows XP SP3 32-bit host. Guest additions are installed. After a fresh install, and logging into the system, the system load is will past 5. With only one CPU installed on the system, this puts a great deal of stress on the guest.

The load also picks up substantially when doing updates, installing packages, using sound or video applications, or doing anything lightly intensive on the system.

Version-Release number of selected component (if applicable): This doesn't seem to be applied to any specific component outside of the system itself. I've turned off a number of services that I don't need, and still find the load excruciatingly high. However, due to the requirements of filing a new bug, I've labeled the component as Upstart, although this might not be accurate.

How reproducible: Upon every login, install of an RPM package or running updates from PackageKit.

Steps to Reproduce:
1. Install Virtualbox 3.1.4 on Windows XP.
2. Install Fedora 12 as a guest in Virtualbox.
3. Login to Fedora, and notice the system load.
  
Actual results: Load is around 5-6 when logging in. Similar results when using PackageKit.


Expected results: I would expect the load to be less than .5 when doing day-to-day tasks.


Additional info: Installing guest additions from Virtualbox into the Fedora guest does not change the results.
Comment 1 Aaron Toponce 2010-03-08 17:10:06 EST
I've also submitted a bug to VirtualBox directly: please follow any progress there as appropriate.

http://www.virtualbox.org/ticket/6346
Comment 2 Casey Dahlin 2010-03-09 09:30:55 EST
Upstart was an... interesting guess...

If it shows up in all sorts of apps its probably either the kernel or some widely-linked library like glibc. Kernel's smart money.
Comment 3 Aaron Toponce 2010-03-09 17:39:58 EST
It appears the kernel is a better guess. Booting into kernel 2.6.31.12-174.2.22.fc12.i686 allows for a successful login to GDM, while booting into 2.6.32.9-67.fc12.i686 does not. It just hangs after providing my password to GDM.

If you need any log files, let me know.
Comment 4 Bug Zapper 2010-11-03 16:24:29 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-12-03 12:41:42 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.